%define api		1.0
%define major		3
%define gir_major	1.0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

Name:		gupnp-av
Version:	0.14.4
Release:	%mkrel 2
Summary:	A collection of helpers for building UPnP AV applications
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/gupnp-av/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gupnp-1.6)
BuildRequires:	pkgconfig(gssdp-1.6)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gi-docgen
BuildRequires:	vala-tools

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

%package common
Summary:	Non-library files for the "%{libname}" library
Group:		System/Base
Conflicts:	%{mklibname -d %{name}} < 0.12.6-5

%description common
Non-library files for the "%{libname}" library

%package -n %{libname}
Summary:	A collection of helpers for building UPnP AV applications
Group:		System/Libraries
Requires:	%{name}-common

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

%package -n %{develname}
Summary:	Development package for gupnp-av
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with gupnp-av.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc AUTHORS README*
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files common
%{_datadir}/%{name}/

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnPAV-%{gir_major}.typelib

%files -n %{develname}
%doc %{_docdir}/gupnp-av-1.0/
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_datadir}/gir-1.0/GUPnPAV-%{api}.gir
%{_datadir}/vala/vapi/*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.14.4-2.mga10
+ Revision: 2248233
- Mageia 10 Mass Rebuild

* Sun Jul 06 2025 daviddavid <daviddavid> 0.14.4-1.mga10
+ Revision: 2247837
- new version 0.14.4

* Sun Mar 16 2025 wally <wally> 0.14.3-2.mga10
+ Revision: 2164857
- rebuild for libxml2 2.13.6

* Tue Jan 21 2025 daviddavid <daviddavid> 0.14.3-1.mga10
+ Revision: 2140186
- new version 0.14.3

* Wed Sep 25 2024 daviddavid <daviddavid> 0.14.1-2.mga10
+ Revision: 2101165
- backport upstream patches to fix build with libxml 2.12

* Mon Sep 19 2022 wally <wally> 0.14.1-1.mga9
+ Revision: 1890427
- new version 0.14.1
- new lib major 3
- switch to meson build

* Thu Mar 31 2022 umeabot <umeabot> 0.12.11-4.mga9
+ Revision: 1836658
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.12.11-3.mga8
+ Revision: 1523853
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 daviddavid <daviddavid> 0.12.11-2.mga7
+ Revision: 1376210
- rebuild for new gupnp and gssdp 1.2.0

* Mon Nov 12 2018 ovitters <ovitters> 0.12.11-1.mga7
+ Revision: 1329694
- new version 0.12.11

* Sun Sep 23 2018 umeabot <umeabot> 0.12.10-2.mga7
+ Revision: 1298147
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sat Oct 15 2016 ovitters <ovitters> 0.12.10-1.mga6
+ Revision: 1060868
- new version 0.12.10

* Mon Oct 10 2016 ovitters <ovitters> 0.12.9-1.mga6
+ Revision: 1060060
- new version 0.12.9

* Tue Feb 09 2016 ovitters <ovitters> 0.12.8-1.mga6
+ Revision: 951160
- new version 0.12.8

* Tue Jun 30 2015 wally <wally> 0.12.7-4.mga6
+ Revision: 849067
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.12.7-3.mga6
+ Revision: 847517
- add requires for gir pkg to devel pkg

* Mon Jan 05 2015 wally <wally> 0.12.7-2.mga5
+ Revision: 808624
- fix common subpkg conflicts

* Sun Jan 04 2015 ovitters <ovitters> 0.12.7-1.mga5
+ Revision: 808422
- new version 0.12.7

* Sun Jan 04 2015 ovitters <ovitters> 0.12.6-5.mga5
+ Revision: 808410
- move common files from devel to common subpackage (mga#14675)

* Wed Oct 15 2014 umeabot <umeabot> 0.12.6-4.mga5
+ Revision: 749701
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.12.6-3.mga5
+ Revision: 724906
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.12.6-2.mga5
+ Revision: 680049
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 ovitters <ovitters> 0.12.6-1.mga5
+ Revision: 635393
- new version 0.12.6

* Tue Feb 04 2014 dams <dams> 0.12.5-1.mga5
+ Revision: 580899
- new version 0.12.5

* Mon Nov 18 2013 ovitters <ovitters> 0.12.4-1.mga4
+ Revision: 551811
- new version 0.12.4

* Wed Oct 23 2013 dams <dams> 0.12.3-1.mga4
+ Revision: 546536
- new version 0.12.3

* Sat Oct 19 2013 umeabot <umeabot> 0.12.2-2.mga4
+ Revision: 525593
- Mageia 4 Mass Rebuild

* Fri May 31 2013 dams <dams> 0.12.2-1.mga4
+ Revision: 433726
- new version 0.12.2

* Fri Apr 19 2013 fwang <fwang> 0.12.1-2.mga3
+ Revision: 410503
- add vala bindings

* Fri Apr 12 2013 dams <dams> 0.12.1-1.mga3
+ Revision: 409813
- new version 0.12.1
+ ovitters <ovitters>
- new version 0.12.0

* Sat Jan 12 2013 umeabot <umeabot> 0.10.3-2.mga3
+ Revision: 352978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 ovitters <ovitters> 0.10.3-1.mga3
+ Revision: 282398
- new version 0.10.3

* Fri Apr 20 2012 ovitters <ovitters> 0.10.2-1.mga2
+ Revision: 232044
- new version 0.10.2

* Tue Sep 27 2011 wally <wally> 0.10.1-2.mga2
+ Revision: 149445
- get rid of .la files
- don't regenerate gtk docs on build time

* Tue Sep 06 2011 fwang <fwang> 0.10.1-1.mga2
+ Revision: 139069
- new version 0.10.1

* Wed Aug 31 2011 fwang <fwang> 0.10.0-1.mga2
+ Revision: 136881
- new version 0.10.0

* Sat Jun 25 2011 wally <wally> 0.9.1-1.mga2
+ Revision: 113566
- new version 0.9.1
- use .tar.xz source from gnome
- create subpackage for gir .typelib
- clean BRs

* Wed Apr 13 2011 wally <wally> 0.8.0-1.mga1
+ Revision: 84489
- new version 0.8.0
- drop old mdv scriptlets
- clean .spec a bit

* Sun Feb 20 2011 eandry <eandry> 0.7.1-2.mga1
+ Revision: 54902
- drop buildroot
- imported package gupnp-av


* Sat Dec 04 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 609223
- update to new version 0.7.1

* Sat Oct 23 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 587795
- new version 0.6.2

* Thu Sep 30 2010 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 582143
- update to new version 0.6.1

* Sun Sep 19 2010 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 579780
- update to new version 0.6.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.5.9-2mdv2011.0
+ Revision: 577987
- rebuild for new g-i

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 0.5.9-1mdv2011.0
+ Revision: 570280
- update to new version 0.5.9
- rebuild

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.5.8-1mdv2011.0
+ Revision: 565698
- new version
- new source URL

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 0.5.7-2mdv2011.0
+ Revision: 563846
- rebuild for new gobject-introspection

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.5.7-1mdv2011.0
+ Revision: 550675
- update to new version 0.5.7

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 533732
- update build deps
- new version
- add introspection support

* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 500959
- update to new version 0.5.4

* Sun Nov 22 2009 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 469084
- update to new version 0.5.2

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 445564
- Update to new version 0.5.1 (new major)

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 386876
- update to new version 0.4.1

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 368987
- new version

* Fri Feb 06 2009 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 338042
- update to new version 0.3.1

* Thu Jan 15 2009 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2009.1
+ Revision: 329665
- new version
- drop patch

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 328910
- import gupnp-av


* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2009.1
- fix format string
- adapt for Mandriva

* Thu Dec 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-7
- Add gtk-doc build req

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-6
- Fix directory ownership

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-5
- Update package summary

* Mon Oct 20 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-4
- Add some requires for the devel package

* Fri Aug 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-3
- Some spec file cleanups

* Tue Jun 17 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-2
- Fix build on rawhide

* Tue Jun 17 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-1
- Initial release
